Views:

Touch 3D Stylus


- USB 2.0 Port

- Geomagic Touch Device Driver (GTDD) v2016.1.1 or above

- Compatible with Geomagic© Sculpt™


PHANToM Omni


- IEEE-1394a compatible FireWire Card (See important note)

- PHANTOM Device Driver v5.1.9

- Device is compatible with v2017.1 and older versions of Geomagic© Sculpt™, Geomagic© Freeform©, Geomagic© Freeform© Plus

- Device will no longer be compatible with v2019.0 or later versions of Geomagic© Sculpt™, Geomagic© Freeform©, Geomagic© Freeform© Plus




Important Note:

IEEE-1394a compatible Firewire interface is supported for Win 7. However, Win 8 and 10 support is not guaranteed. Microsoft has dropped support for the components in the 1394 drivers which enable legacy mode, something that is often required to assure a particular card functions properly with Omni or PCC converters for parallel port devices.